Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/admin/workflow-definitions/import \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"bundle": {
"definitions": [
{
"workflowKey": "COLLECTIONS_DEFAULT",
"caseTypeCode": "COLLECTIONS",
"definition": {
"schemaVersion": 2 ,
"stages": [
{
"stageKey": "INTAKE",
"displayName": "Understand the case",
"next": [
{
"when": "DEFAULT",
"stage": "CLOSE"
}
]
},
{
"stageKey": "CLOSE",
"displayName": "Close the case",
"terminal": true
}
],
"terminalOutcomes": []
}
}
]
},
"reason": "Promote the reviewed definitions from staging."
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/admin/workflow-definitions/import` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"bundle": {
"definitions": [
{
"workflowKey": "COLLECTIONS_DEFAULT",
"caseTypeCode": "COLLECTIONS",
"definition": {
"schemaVersion": 2 ,
"stages": [
{
"stageKey": "INTAKE",
"displayName": "Understand the case",
"next": [
{
"when": "DEFAULT",
"stage": "CLOSE"
}
]
},
{
"stageKey": "CLOSE",
"displayName": "Close the case",
"terminal": true
}
],
"terminalOutcomes": []
}
}
]
},
"reason": "Promote the reviewed definitions from staging."
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/admin/workflow-definitions/import" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"bundle": {
"definitions": [
{
"workflowKey": "COLLECTIONS_DEFAULT",
"caseTypeCode": "COLLECTIONS",
"definition": {
"schemaVersion": 2 ,
"stages": [
{
"stageKey": "INTAKE",
"displayName": "Understand the case",
"next": [
{
"when": "DEFAULT",
"stage": "CLOSE"
}
]
},
{
"stageKey": "CLOSE",
"displayName": "Close the case",
"terminal": true
}
],
"terminalOutcomes": []
}
}
]
},
"reason": "Promote the reviewed definitions from staging."
},
)200 400 401 403 404 409
{
"resourceId": 0 ,
"changes": {
"operation": "IMPORT",
"results": [
{
"workflowKey": "COLLECTIONS_DEFAULT",
"outcome": "CREATED_DRAFT",
"versionNumber": 3
}
]
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}